published on Thursday, May 7, 2026 by Byteplus
published on Thursday, May 7, 2026 by Byteplus
The allowlist is a security measure for database connections. Only IP addresses in the allowlist can access the database.
Example Usage
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
resources:
rdsMysqlAllowListDemo:
type: bytepluscc:rdsmysql:AllowList
name: RdsMysqlAllowListDemo
properties:
userAllowLists:
- 1.2.3.4
allowListCategory: Default
allowListDesc: this is a test
allowListName: ccapi-test-2
allowListType: IPv4
projectName: default
securityGroupBindInfos:
- bind_mode: AssociateEcsIp
ip_list: null
security_group_id: sg-1a10axxxxxvepkdgqgnu
security_group_name: Default
- bind_mode: IngressDirectionIp
ip_list:
- 100.70.0.0/16
- 100.72.0.0/16
- 0.0.0.0/0
security_group_id: sg-3nqt4kwxxxxx931ebkntmrc
security_group_name: Default
Create AllowList Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new AllowList(name: string, args?: AllowListArgs, opts?: CustomResourceOptions);@overload
def AllowList(resource_name: str,
args: Optional[AllowListArgs] = None,
opts: Optional[ResourceOptions] = None)
@overload
def AllowList(resource_name: str,
opts: Optional[ResourceOptions] = None,
allow_list_category: Optional[str] = None,
allow_list_desc: Optional[str] = None,
allow_list_name: Optional[str] = None,
allow_list_type: Optional[str] = None,
allow_lists: Optional[Sequence[str]] = None,
associated_instance_num: Optional[int] = None,
ignore_instance_status: Optional[bool] = None,
instance_id: Optional[str] = None,
modify_mode: Optional[str] = None,
project_name: Optional[str] = None,
security_group_bind_infos: Optional[Sequence[AllowListSecurityGroupBindInfoArgs]] = None,
security_group_ids: Optional[Sequence[str]] = None,
update_security_group: Optional[bool] = None,
user_allow_lists: Optional[Sequence[str]] = None)func NewAllowList(ctx *Context, name string, args *AllowListArgs, opts ...ResourceOption) (*AllowList, error)public AllowList(string name, AllowListArgs? args = null, CustomResourceOptions? opts = null)
public AllowList(String name, AllowListArgs args)
public AllowList(String name, AllowListArgs args, CustomResourceOptions options)
type: bytepluscc:rdsmysql:AllowList
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var exampleallowListResourceResourceFromRdsmysqlallowList = new Bytepluscc.Rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList", new()
{
AllowListCategory = "string",
AllowListDesc = "string",
AllowListName = "string",
AllowListType = "string",
AllowListValue = new[]
{
"string",
},
AssociatedInstanceNum = 0,
IgnoreInstanceStatus = false,
InstanceId = "string",
ModifyMode = "string",
ProjectName = "string",
SecurityGroupBindInfos = new[]
{
new Bytepluscc.Rdsmysql.Inputs.AllowListSecurityGroupBindInfoArgs
{
BindMode = "string",
IpLists = new[]
{
"string",
},
SecurityGroupId = "string",
SecurityGroupName = "string",
},
},
SecurityGroupIds = new[]
{
"string",
},
UpdateSecurityGroup = false,
UserAllowLists = new[]
{
"string",
},
});
example, err := rdsmysql.NewAllowList(ctx, "exampleallowListResourceResourceFromRdsmysqlallowList", &rdsmysql.AllowListArgs{
AllowListCategory: pulumi.String("string"),
AllowListDesc: pulumi.String("string"),
AllowListName: pulumi.String("string"),
AllowListType: pulumi.String("string"),
AllowLists: pulumi.StringArray{
pulumi.String("string"),
},
AssociatedInstanceNum: pulumi.Int(0),
IgnoreInstanceStatus: pulumi.Bool(false),
InstanceId: pulumi.String("string"),
ModifyMode: pulumi.String("string"),
ProjectName: pulumi.String("string"),
SecurityGroupBindInfos: rdsmysql.AllowListSecurityGroupBindInfoArray{
&rdsmysql.AllowListSecurityGroupBindInfoArgs{
BindMode: pulumi.String("string"),
IpLists: pulumi.StringArray{
pulumi.String("string"),
},
SecurityGroupId: pulumi.String("string"),
SecurityGroupName: pulumi.String("string"),
},
},
SecurityGroupIds: pulumi.StringArray{
pulumi.String("string"),
},
UpdateSecurityGroup: pulumi.Bool(false),
UserAllowLists: pulumi.StringArray{
pulumi.String("string"),
},
})
var exampleallowListResourceResourceFromRdsmysqlallowList = new com.byteplus.bytepluscc.rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList", com.byteplus.bytepluscc.rdsmysql.AllowListArgs.builder()
.allowListCategory("string")
.allowListDesc("string")
.allowListName("string")
.allowListType("string")
.allowLists("string")
.associatedInstanceNum(0)
.ignoreInstanceStatus(false)
.instanceId("string")
.modifyMode("string")
.projectName("string")
.securityGroupBindInfos(AllowListSecurityGroupBindInfoArgs.builder()
.bindMode("string")
.ipLists("string")
.securityGroupId("string")
.securityGroupName("string")
.build())
.securityGroupIds("string")
.updateSecurityGroup(false)
.userAllowLists("string")
.build());
exampleallow_list_resource_resource_from_rdsmysqlallow_list = bytepluscc.rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList",
allow_list_category="string",
allow_list_desc="string",
allow_list_name="string",
allow_list_type="string",
allow_lists=["string"],
associated_instance_num=0,
ignore_instance_status=False,
instance_id="string",
modify_mode="string",
project_name="string",
security_group_bind_infos=[{
"bind_mode": "string",
"ip_lists": ["string"],
"security_group_id": "string",
"security_group_name": "string",
}],
security_group_ids=["string"],
update_security_group=False,
user_allow_lists=["string"])
const exampleallowListResourceResourceFromRdsmysqlallowList = new bytepluscc.rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList", {
allowListCategory: "string",
allowListDesc: "string",
allowListName: "string",
allowListType: "string",
allowLists: ["string"],
associatedInstanceNum: 0,
ignoreInstanceStatus: false,
instanceId: "string",
modifyMode: "string",
projectName: "string",
securityGroupBindInfos: [{
bindMode: "string",
ipLists: ["string"],
securityGroupId: "string",
securityGroupName: "string",
}],
securityGroupIds: ["string"],
updateSecurityGroup: false,
userAllowLists: ["string"],
});
type: bytepluscc:rdsmysql:AllowList
properties:
allowListCategory: string
allowListDesc: string
allowListName: string
allowListType: string
allowLists:
- string
associatedInstanceNum: 0
ignoreInstanceStatus: false
instanceId: string
modifyMode: string
projectName: string
securityGroupBindInfos:
- bindMode: string
ipLists:
- string
securityGroupId: string
securityGroupName: string
securityGroupIds:
- string
updateSecurityGroup: false
userAllowLists:
- string
AllowList Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The AllowList resource accepts the following input properties:
- Allow
List stringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- Allow
List stringDesc - Allowlist remarks.
- Allow
List stringName - Allowlist name.
- Allow
List stringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- Allow
List List<string>Value - IP address list in the allowlist
- Associated
Instance intNum - Total number of instances bound to the allowlist.
- Ignore
Instance boolStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- Instance
Id string - Instance ID.
- Modify
Mode string - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- Project
Name string - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- Security
Group List<Byteplus.Bind Infos Allow List Security Group Bind Info> - Security
Group List<string>Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- Update
Security boolGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- User
Allow List<string>Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- Allow
List stringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- Allow
List stringDesc - Allowlist remarks.
- Allow
List stringName - Allowlist name.
- Allow
List stringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- Allow
Lists []string - IP address list in the allowlist
- Associated
Instance intNum - Total number of instances bound to the allowlist.
- Ignore
Instance boolStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- Instance
Id string - Instance ID.
- Modify
Mode string - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- Project
Name string - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- Security
Group []AllowBind Infos List Security Group Bind Info Args - Security
Group []stringIds - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- Update
Security boolGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- User
Allow []stringLists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow
List StringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow
List StringDesc - Allowlist remarks.
- allow
List StringName - Allowlist name.
- allow
List StringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow
Lists List<String> - IP address list in the allowlist
- associated
Instance IntegerNum - Total number of instances bound to the allowlist.
- ignore
Instance BooleanStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance
Id String - Instance ID.
- modify
Mode String - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project
Name String - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security
Group List<AllowBind Infos List Security Group Bind Info> - security
Group List<String>Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update
Security BooleanGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user
Allow List<String>Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow
List stringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow
List stringDesc - Allowlist remarks.
- allow
List stringName - Allowlist name.
- allow
List stringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow
Lists string[] - IP address list in the allowlist
- associated
Instance numberNum - Total number of instances bound to the allowlist.
- ignore
Instance booleanStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance
Id string - Instance ID.
- modify
Mode string - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project
Name string - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security
Group AllowBind Infos List Security Group Bind Info[] - security
Group string[]Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update
Security booleanGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user
Allow string[]Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow_
list_ strcategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow_
list_ strdesc - Allowlist remarks.
- allow_
list_ strname - Allowlist name.
- allow_
list_ strtype - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow_
lists Sequence[str] - IP address list in the allowlist
- associated_
instance_ intnum - Total number of instances bound to the allowlist.
- ignore_
instance_ boolstatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance_
id str - Instance ID.
- modify_
mode str - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project_
name str - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security_
group_ Sequence[Allowbind_ infos List Security Group Bind Info Args] - security_
group_ Sequence[str]ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update_
security_ boolgroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user_
allow_ Sequence[str]lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow
List StringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow
List StringDesc - Allowlist remarks.
- allow
List StringName - Allowlist name.
- allow
List StringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow
Lists List<String> - IP address list in the allowlist
- associated
Instance NumberNum - Total number of instances bound to the allowlist.
- ignore
Instance BooleanStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance
Id String - Instance ID.
- modify
Mode String - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project
Name String - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security
Group List<Property Map>Bind Infos - security
Group List<String>Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update
Security BooleanGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user
Allow List<String>Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
Outputs
All input properties are implicitly available as output properties. Additionally, the AllowList resource produces the following output properties:
- Allow
List stringId - Allowlist ID.
- Allow
List intIp Num - Total number of IP addresses (or ranges) in the allowlist.
- Associated
Instances List<Byteplus.Allow List Associated Instance> - Id string
- The provider-assigned unique ID for this managed resource.
- Ip
Lists List<string> - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- Allow
List stringId - Allowlist ID.
- Allow
List intIp Num - Total number of IP addresses (or ranges) in the allowlist.
- Associated
Instances []AllowList Associated Instance - Id string
- The provider-assigned unique ID for this managed resource.
- Ip
Lists []string - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- allow
List StringId - Allowlist ID.
- allow
List IntegerIp Num - Total number of IP addresses (or ranges) in the allowlist.
- associated
Instances List<AllowList Associated Instance> - id String
- The provider-assigned unique ID for this managed resource.
- ip
Lists List<String> - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- allow
List stringId - Allowlist ID.
- allow
List numberIp Num - Total number of IP addresses (or ranges) in the allowlist.
- associated
Instances AllowList Associated Instance[] - id string
- The provider-assigned unique ID for this managed resource.
- ip
Lists string[] - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- allow_
list_ strid - Allowlist ID.
- allow_
list_ intip_ num - Total number of IP addresses (or ranges) in the allowlist.
- associated_
instances Sequence[AllowList Associated Instance] - id str
- The provider-assigned unique ID for this managed resource.
- ip_
lists Sequence[str] - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- allow
List StringId - Allowlist ID.
- allow
List NumberIp Num - Total number of IP addresses (or ranges) in the allowlist.
- associated
Instances List<Property Map> - id String
- The provider-assigned unique ID for this managed resource.
- ip
Lists List<String> - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
Look up Existing AllowList Resource
Get an existing AllowList resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: AllowListState, opts?: CustomResourceOptions): AllowList@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
allow_list_category: Optional[str] = None,
allow_list_desc: Optional[str] = None,
allow_list_id: Optional[str] = None,
allow_list_ip_num: Optional[int] = None,
allow_list_name: Optional[str] = None,
allow_list_type: Optional[str] = None,
allow_lists: Optional[Sequence[str]] = None,
associated_instance_num: Optional[int] = None,
associated_instances: Optional[Sequence[AllowListAssociatedInstanceArgs]] = None,
ignore_instance_status: Optional[bool] = None,
instance_id: Optional[str] = None,
ip_lists: Optional[Sequence[str]] = None,
modify_mode: Optional[str] = None,
project_name: Optional[str] = None,
security_group_bind_infos: Optional[Sequence[AllowListSecurityGroupBindInfoArgs]] = None,
security_group_ids: Optional[Sequence[str]] = None,
update_security_group: Optional[bool] = None,
user_allow_lists: Optional[Sequence[str]] = None) -> AllowListfunc GetAllowList(ctx *Context, name string, id IDInput, state *AllowListState, opts ...ResourceOption) (*AllowList, error)public static AllowList Get(string name, Input<string> id, AllowListState? state, CustomResourceOptions? opts = null)public static AllowList get(String name, Output<String> id, AllowListState state, CustomResourceOptions options)resources: _: type: bytepluscc:rdsmysql:AllowList get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Allow
List stringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- Allow
List stringDesc - Allowlist remarks.
- Allow
List stringId - Allowlist ID.
- Allow
List intIp Num - Total number of IP addresses (or ranges) in the allowlist.
- Allow
List stringName - Allowlist name.
- Allow
List stringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- Allow
List List<string>Value - IP address list in the allowlist
- Associated
Instance intNum - Total number of instances bound to the allowlist.
- Associated
Instances List<Byteplus.Allow List Associated Instance> - Ignore
Instance boolStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- Instance
Id string - Instance ID.
- Ip
Lists List<string> - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- Modify
Mode string - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- Project
Name string - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- Security
Group List<Byteplus.Bind Infos Allow List Security Group Bind Info> - Security
Group List<string>Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- Update
Security boolGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- User
Allow List<string>Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- Allow
List stringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- Allow
List stringDesc - Allowlist remarks.
- Allow
List stringId - Allowlist ID.
- Allow
List intIp Num - Total number of IP addresses (or ranges) in the allowlist.
- Allow
List stringName - Allowlist name.
- Allow
List stringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- Allow
Lists []string - IP address list in the allowlist
- Associated
Instance intNum - Total number of instances bound to the allowlist.
- Associated
Instances []AllowList Associated Instance Args - Ignore
Instance boolStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- Instance
Id string - Instance ID.
- Ip
Lists []string - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- Modify
Mode string - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- Project
Name string - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- Security
Group []AllowBind Infos List Security Group Bind Info Args - Security
Group []stringIds - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- Update
Security boolGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- User
Allow []stringLists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow
List StringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow
List StringDesc - Allowlist remarks.
- allow
List StringId - Allowlist ID.
- allow
List IntegerIp Num - Total number of IP addresses (or ranges) in the allowlist.
- allow
List StringName - Allowlist name.
- allow
List StringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow
Lists List<String> - IP address list in the allowlist
- associated
Instance IntegerNum - Total number of instances bound to the allowlist.
- associated
Instances List<AllowList Associated Instance> - ignore
Instance BooleanStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance
Id String - Instance ID.
- ip
Lists List<String> - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- modify
Mode String - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project
Name String - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security
Group List<AllowBind Infos List Security Group Bind Info> - security
Group List<String>Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update
Security BooleanGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user
Allow List<String>Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow
List stringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow
List stringDesc - Allowlist remarks.
- allow
List stringId - Allowlist ID.
- allow
List numberIp Num - Total number of IP addresses (or ranges) in the allowlist.
- allow
List stringName - Allowlist name.
- allow
List stringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow
Lists string[] - IP address list in the allowlist
- associated
Instance numberNum - Total number of instances bound to the allowlist.
- associated
Instances AllowList Associated Instance[] - ignore
Instance booleanStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance
Id string - Instance ID.
- ip
Lists string[] - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- modify
Mode string - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project
Name string - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security
Group AllowBind Infos List Security Group Bind Info[] - security
Group string[]Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update
Security booleanGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user
Allow string[]Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow_
list_ strcategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow_
list_ strdesc - Allowlist remarks.
- allow_
list_ strid - Allowlist ID.
- allow_
list_ intip_ num - Total number of IP addresses (or ranges) in the allowlist.
- allow_
list_ strname - Allowlist name.
- allow_
list_ strtype - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow_
lists Sequence[str] - IP address list in the allowlist
- associated_
instance_ intnum - Total number of instances bound to the allowlist.
- associated_
instances Sequence[AllowList Associated Instance Args] - ignore_
instance_ boolstatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance_
id str - Instance ID.
- ip_
lists Sequence[str] - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- modify_
mode str - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project_
name str - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security_
group_ Sequence[Allowbind_ infos List Security Group Bind Info Args] - security_
group_ Sequence[str]ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update_
security_ boolgroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user_
allow_ Sequence[str]lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
- allow
List StringCategory - Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
- allow
List StringDesc - Allowlist remarks.
- allow
List StringId - Allowlist ID.
- allow
List NumberIp Num - Total number of IP addresses (or ranges) in the allowlist.
- allow
List StringName - Allowlist name.
- allow
List StringType - IP address types in the allowlist. Only IPv4 addresses are currently supported.
- allow
Lists List<String> - IP address list in the allowlist
- associated
Instance NumberNum - Total number of instances bound to the allowlist.
- associated
Instances List<Property Map> - ignore
Instance BooleanStatus - Ignore instance status check. Values: true: Yes. false: No. Default value.
- instance
Id String - Instance ID.
- ip
Lists List<String> - List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
- modify
Mode String - Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
- project
Name String - Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
- security
Group List<Property Map>Bind Infos - security
Group List<String>Ids - List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
- update
Security BooleanGroup - Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
- user
Allow List<String>Lists - IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
Supporting Types
AllowListAssociatedInstance, AllowListAssociatedInstanceArgs
- Instance
Id string - Instance ID bound to the current allowlist.
- Instance
Name string - Instance name bound to the current allowlist.
- Instance
Status string - Instance status.
- Is
Latest bool - Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
- Vpc string
- Private network ID of the instance.
- Instance
Id string - Instance ID bound to the current allowlist.
- Instance
Name string - Instance name bound to the current allowlist.
- Instance
Status string - Instance status.
- Is
Latest bool - Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
- Vpc string
- Private network ID of the instance.
- instance
Id String - Instance ID bound to the current allowlist.
- instance
Name String - Instance name bound to the current allowlist.
- instance
Status String - Instance status.
- is
Latest Boolean - Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
- vpc String
- Private network ID of the instance.
- instance
Id string - Instance ID bound to the current allowlist.
- instance
Name string - Instance name bound to the current allowlist.
- instance
Status string - Instance status.
- is
Latest boolean - Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
- vpc string
- Private network ID of the instance.
- instance_
id str - Instance ID bound to the current allowlist.
- instance_
name str - Instance name bound to the current allowlist.
- instance_
status str - Instance status.
- is_
latest bool - Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
- vpc str
- Private network ID of the instance.
- instance
Id String - Instance ID bound to the current allowlist.
- instance
Name String - Instance name bound to the current allowlist.
- instance
Status String - Instance status.
- is
Latest Boolean - Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
- vpc String
- Private network ID of the instance.
AllowListSecurityGroupBindInfo, AllowListSecurityGroupBindInfoArgs
- Bind
Mode string - Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
- Ip
Lists List<string> - Security group IP address list.
- Security
Group stringId - Security group ID.
- Security
Group stringName - Security group name.
- Bind
Mode string - Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
- Ip
Lists []string - Security group IP address list.
- Security
Group stringId - Security group ID.
- Security
Group stringName - Security group name.
- bind
Mode String - Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
- ip
Lists List<String> - Security group IP address list.
- security
Group StringId - Security group ID.
- security
Group StringName - Security group name.
- bind
Mode string - Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
- ip
Lists string[] - Security group IP address list.
- security
Group stringId - Security group ID.
- security
Group stringName - Security group name.
- bind_
mode str - Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
- ip_
lists Sequence[str] - Security group IP address list.
- security_
group_ strid - Security group ID.
- security_
group_ strname - Security group name.
- bind
Mode String - Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
- ip
Lists List<String> - Security group IP address list.
- security
Group StringId - Security group ID.
- security
Group StringName - Security group name.
Import
$ pulumi import bytepluscc:rdsmysql/allowList:AllowList example "allow_list_id"
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- bytepluscc byteplus-sdk/pulumi-bytepluscc
- License
- MPL-2.0
- Notes
- This Pulumi package is based on the
byteplusccTerraform Provider.
published on Thursday, May 7, 2026 by Byteplus
